

function page2node(index, type, str1, str2, str3, str4, str5, str6, str7, str8, str9, str10 )
{
	if (type != "DATA_STORE") 
	{
	    this.contactName = str1
    	this.placeOfBusinessOrSchool = str2
	    this.address = str3
    	this.phoneDay = str4
	    this.phoneEve = str5
    	this.phoneEmg = str6
	    this.relationship = str7
		this.circumstanceToContact = str8
		this.locationOfMedicalRec = str9
		this.notes = str10
	    this.sub = new Array()
	}
	else
	{
		if (index != 0)
		{
		    this.contactName = CPS_ReadValue('page2_contactName' + index, str1); 
	    	this.placeOfBusinessOrSchool = CPS_ReadValue('page2_placeOfBusinessOrSchool' + index, str2);
		    this.address = CPS_ReadValue('page2_address' + index, str3);
    		this.phoneDay = CPS_ReadValue('page2_phoneDay' + index, str4);
		    this.phoneEve = CPS_ReadValue('page2_phoneEve' + index, str5);
    		this.phoneEmg = CPS_ReadValue('page2_phoneEmg' + index, str6);
	    	this.relationship = CPS_ReadValue('page2_relationship' + index, str7);
			this.circumstanceToContact = CPS_ReadValue('page2_circumstanceToContact' + index, str8);
			this.locationOfMedicalRec = CPS_ReadValue('page2_locationOfMedicalRec' + index, str9);
			this.notes = CPS_ReadValue('page2_notes', str10);
		}
		this.sub = new Array()
		
	}	
    return this
}

function page3node(index, type, str1, str2, str3, str4, str5, str6, str7, str8, num9, num10, date11, str12, str13, str14, str15 )
{
	if (type != "DATA_STORE")
	{
	    this.insuranceType = str1
    	this.nameOnPolicy = str2
	    this.policyNo = str3
    	this.description = str4
	    this.company = str5
    	this.address = str6
	    this.phone = str7
		this.agent = str8
		this.faceAmount = num9
		this.premiumAmount = num10
		this.expirationDate = date11.toString()
		this.deductible = str12
		this.beneficiary = str13
		this.locationOfPolicy = str14
		this.notes = str15
    	this.sub = new Array()	 
	}
	else
	{
		if (index != 0)
		{
		    this.insuranceType = CPS_ReadValue('page3_insuranceType' + index, str1);
    		this.nameOnPolicy = CPS_ReadValue('page3_nameOnPolicy' + index, str2);
	    	this.policyNo = CPS_ReadValue('page3_policyNo' + index, str3);
	    	this.description = CPS_ReadValue('page3_description' + index, str4);
		    this.company = CPS_ReadValue('page3_company' + index, str5);
    		this.address = CPS_ReadValue('page3_address' + index, str6);
		    this.phone = CPS_ReadValue('page3_phone' + index, str7);
			this.agent = CPS_ReadValue('page3_agent' + index, str8);
			this.faceAmount = CPS_ReadValue('page3_faceAmount' + index, num9);
			this.premiumAmount = CPS_ReadValue('page3_premiumAmount' + index, num10);
			this.expirationDate = CPS_ReadValue('page3_expirationDate' + index, date11.toString());
			this.deductible = CPS_ReadValue('page3_deductible' + index, str12);
			this.beneficiary = CPS_ReadValue('page3_beneficiary' + index, str13);
			this.locationOfPolicy = CPS_ReadValue('page3_locationOfPolicy' + index, str14);
			this.notes =  CPS_ReadValue('page3_notes' + index, str15);
		}
		this.sub = new Array()	 						
	}
	return this
}

function page4node(index, type, str1, str2, str3, date4, str5, str6, str7)
{
	if (type != "DATA_STORE") 
	{
	    this.documentType = str1
    	this.description = str2
	    this.locationOfDoc = str3
    	this.dateCompleted = date4
	    this.contactName = str5
    	this.phone = str6
		this.notes = str7
	    this.sub = new Array()
	}
	else
	{
		if (index != 0)
		{
		    this.documentType = CPS_ReadValue('page4_documentType' + index, str1); 
	    	this.description = CPS_ReadValue('page4_description' + index, str2);
		    this.locationOfDoc = CPS_ReadValue('page4_locationOfDoc' + index, str3);
    		this.dateCompleted = CPS_ReadValue('page4_dateCompleted' + index, date4);
		    this.contactName = CPS_ReadValue('page4_contactName' + index, str5);
    		this.phone = CPS_ReadValue('page4_phone' + index, str6);
			this.notes = CPS_ReadValue('page4_notes', str7);
		}
		this.sub = new Array()
		
	}	
    return this
}

function page5node(index, type, str1, str2, str3, str4, str5, str6, str7, str8, str9, str10, str11, str12 )
{
	if (type != "DATA_STORE") 
	{
	    this.assetType = str1
    	this.assetLocation = str2
	    this.contactName = str3
    	this.phone = str4
	    this.owner = str5
    	this.locationOfDoc = str6
	    this.leinHolder = str7
		this.locationOfKeyOrCombination = str8
		this.idNumber = str9
		this.licenseNumber = str10
		this.insPolicyNumber = str11
		this.notes = str12
	    this.sub = new Array()
	}
	else
	{
		if (index != 0)
		{
		    this.assetType = CPS_ReadValue('page5_assetType' + index, str1); 
	    	this.assetLocation = CPS_ReadValue('page5_assetLocation' + index, str2);
		    this.contactName = CPS_ReadValue('page5_contactName' + index, str3);
    		this.phone = CPS_ReadValue('page5_phone' + index, str4);
		    this.owner = CPS_ReadValue('page5_owner' + index, str5);
    		this.locationOfDoc = CPS_ReadValue('page5_locationOfDoc' + index, str6);
	    	this.leinHolder = CPS_ReadValue('page5_leinHolder' + index, str7);
			this.locationOfKeyOrCombination = CPS_ReadValue('page5_locationOfKeyOrCombination' + index, str8);
			this.idNumber = CPS_ReadValue('page5_idNumber' + index, str9);
			this.licenseNumber = CPS_ReadValue('page5_licenseNumber' + index, str10);
			this.insPolicyNumber = CPS_ReadValue('page5_insPolicyNumber' + index, str11);
			this.notes = CPS_ReadValue('page5_notes', str12);
		}
		this.sub = new Array()
		
	}	
    return this
}


function page6node(index, type, str1, str2, str3, str4, num5, num6, str7, str8, str9, str10, str11, str12 )
{
	if (type != "DATA_STORE") 
	{
	    this.accountName = str1
    	this.description = str2
	    this.ownersName = str3
    	this.accountNumber = str4
	    this.balance = num5
    	this.interestRate = num6
	    this.financialInstitution = str7
		this.contact = str8
		this.address = str9
		this.phone = str10
		this.locationOfDoc = str11
		this.notes = str12
	    this.sub = new Array()
	}
	else
	{
		if (index != 0)
		{
		    this.accountName = CPS_ReadValue('page6_accountName' + index, str1); 
	    	this.description = CPS_ReadValue('page6_description' + index, str2);
		    this.ownersName = CPS_ReadValue('page6_ownersName' + index, str3);
    		this.accountNumber = CPS_ReadValue('page6_accountNumber' + index, str4);
		    this.balance = CPS_ReadValue('page6_balance' + index, num5);
    		this.interestRate = CPS_ReadValue('page6_interestRate' + index, num6);
	    	this.financialInstitution = CPS_ReadValue('page6_financialInstitution' + index, str7);
			this.contact = CPS_ReadValue('page6_contact' + index, str8);
			this.address = CPS_ReadValue('page6_address' + index, str9);
			this.phone = CPS_ReadValue('page6_phone' + index, str10);
			this.locationOfDoc = CPS_ReadValue('page6_locationOfDoc' + index, str11);
			this.notes = CPS_ReadValue('page6_notes', str12);
		}
		this.sub = new Array()
		
	}	
    return this
}

function page7node(index, type, str1, str2, str3, str4, str5)
{
	if (type != "DATA_STORE") 
	{
	    this.description = str1
    	this.contactName = str2
	    this.phone = str3
    	this.locationOfDocuments = str4
		this.notes = str5
	    this.sub = new Array()
	}
	else
	{
		if (index != 0)
		{
		    this.description = CPS_ReadValue('page7_description' + index, str1); 
	    	this.contactName = CPS_ReadValue('page7_contactName' + index, str2);
		    this.phone = CPS_ReadValue('page7_phone' + index, str3);
    		this.locationOfDocuments = CPS_ReadValue('page7_locationOfDocuments' + index, str4);
			this.notes = CPS_ReadValue('page7_notes', str5);
		}
		this.sub = new Array()
		
	}	
    return this
}

